jingrow.listview_settings["Error Log"] = {
	add_fields: ["seen"],
	get_indicator: function (pg) {
		if (cint(pg.seen)) {
			return [__("Seen"), "green", "seen,=,1"];
		} else {
			return [__("Not Seen"), "red", "seen,=,0"];
		}
	},
	order_by: "seen asc, modified desc",
	onload: function (listview) {
		listview.page.add_menu_item(__("Clear Error Logs"), function () {
			jingrow.call({
				method: "jingrow.core.pagetype.error_log.error_log.clear_error_logs",
				callback: function () {
					listview.refresh();
				},
			});
		});

		jingrow.require("logtypes.bundle.js", () => {
			jingrow.utils.logtypes.show_log_retention_message(cur_list.pagetype);
		});
	},
};
